curl --request GET \
--url https://prod.truv.com/v1/companies/{company_mapping_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/companies/{company_mapping_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/companies/{company_mapping_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_mapping_id": "48427a36d43c4d5aa6324bc06c692456",
"name": "Facebook Demo",
"domain": "facebook.com",
"logo_url": "https://cdn.truv.com/facebook.png",
"success_rate": "high",
"confidence_level": "0.9",
"mapping_status": "verified",
"features": {
"deposit_switch": {
"max_number": 3,
"deposit_types": [
"entire",
"percent",
"amount"
],
"amount_precision": "0.01",
"percent_precision": "0.01"
},
"fill_rates": {
"job_title": 0.85,
"job_type": 0.92,
"is_active": 0.8,
"start_date": 0.78,
"original_hire_date": 0.77,
"income": 0.95,
"income_unit": 0.88,
"pay_frequency": 0.91,
"w2s": 0.73,
"paystubs": 0.99
}
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Get company information
The endpoint returns detailed information for a specific company mapping, including basic company details, success rate, and bank account information.
Authorizations
Client ID
Client Access Key
Path Parameters
Company to Payroll Provider mapping ID
Query Parameters
Product type for success rate calculation
income, employment, deposit_switch, pll "income"
Response
Detailed information for a specific company mapping
Company mapping ID
64"48427a36d43c4d5aa6324bc06c692456"
Company name
128"Facebook Demo"
Company domain
128"facebook.com"
URL to company logo
"https://cdn.truv.com/facebook.png"
Success rate for the company
low, high, unsupported, null "high"
Confidence level for the company success rate. Range of possible values is from 0 to 1 with 0.5 and above being high success rate
"0.9"
Mapping status of the company to the payroll system
verified, mapped, unmapped "verified"
Company features information
Show child attributes
Show child attributes
Was this page helpful?